# Gimp.Layer.flatten

    @accepts(Gimp.Layer)
    @returns(bool)
    def flatten(self):
        # Python wrapper for gimp_layer_flatten()

Remove the alpha channel from the layer if it has one.

This procedure removes the alpha channel from a layer, blending all (partially) transparent pixels in the layer against the background color. This transforms layers of type RGBA to RGB, GRAYA to GRAY, and INDEXEDA to INDEXED.

Since 2.4

self

  The layer.

Returns